/*===================================
		Copyright Yakibomb
*///=================================

/*
	VS_COND_SHIELD
	- Entity is given a shield
	- Works on all entities.
*/

class VS_COND_SHIELD extends VSConds_Base
{
	//We consider this a buff, so it shouldn't be removed upon touching resupply
	removedByResupply = false;	//`false` prevents removal on resupply
	
	function AddCond() {
	//Creates shield
		local model = VSCONDS_CreateTeamProp(condition,provider, entity, entity.GetOrigin(), "models/effects/resist_shield/resist_shield.mdl")
	//Fixes up the shield model on non-player entities
		model.SetSkin(entity.GetTeam() == 2 ? 0 : 1);
		model.SetModelScale(entity.GetModelScale(), 0)
	}
	
	function RemoveCond() {	}
}