/*===================================
		Copyright Yakibomb
*///=================================

// Only boots main code once
if ( !( "VSConds_FirstBootComplete" in getroottable() ) ) {
	::VSConds_FirstBootComplete <- false;
}
if ( VSConds_FirstBootComplete == false ) {
	printl("AddVSCond Executing for the first time");
	
	::worldspawn <- Entities.First();
	::ROOT <- getroottable();

	IncludeScript("addvscond/code/vsconds_constants.nut");
	IncludeScript("addvscond/code/vsconds_settings.nut");
	IncludeScript("addvscond/code/vsconds_util.nut", ROOT);
	IncludeScript("addvscond/code/vsconds_main.nut", ROOT);
	
	IncludeScript("addvscond/code/compiler/vsconds_conditions_compiler.nut", ROOT);
	IncludeScript("addvscond/code/compiler/vsconds_conditions_base.nut")
	IncludeScript("addvscond/code/compiler/vsconds_reset_logicscript.nut", ROOT);
	IncludeScript("addvscond/code/compiler/vsconds_reset_params.nut", ROOT);
	IncludeScript("addvscond/code/compiler/vsconds_cleanup.nut", ROOT);
	
	::VSCONDS_COMPILE <- function() {
		IncludeScript("addvscond/compiler.nut", ROOT);
	}
	
	VSCONDS_COMPILE()
	
// Parse functions starting with CBaseEntity_
	EntFireByHandle(worldspawn,"RunScriptCode","IncludeScript(\"addvscond/code/compiler/vsconds_parse_cbaseentity.nut\")",0.0,worldspawn,worldspawn);
	
	::VSConds_FirstBootComplete <- true;
}
else {
// Runs this after first boot already happened
	VSCONDS_COMPILE()
};